/**
* A cool Contact entity
*/
component persistent="true" table="contact" extends="coldbox.system.orm.hibernate.ActiveEntity" {

	// Primary Key
	property name="contactID" fieldtype="id" column="contactID" generator="native" setter="false";
	
	// Properties
	property name="firstname" ormtype="string";
	property name="lastname" ormtype="string";
	property name="email" ormtype="string";

	property name="role"    
    		 fieldtype="many-to-one"     
    		 cfc="Role"     
    		 fkcolumn="FK_RoleID";	
	
	// Validation
	this.constraints = {
		"firstName" 	= { required=true, requiredMessage="You dummy, fill the name out!" },
		"lastname" 	= { required = true, requiredMessage="You still alive? Fill me out!" },
		"email" 			= { required=true, type="email", typeMessage="I need an email!", unique="true", uniqueMessage="I must be unique or I don't work!'" },
		"role"			= { required=true }
	};
	
	// Constructor
	function init(){
		
		return this;
	}
}
